<?php
//Finalment no utilitzat en aquesta versió
namespace App;
use Illuminate\Database\Eloquent\Model;
class Persona extends Model{
    protected $table = 'persona';
    protected $primaryKey = 'dni';
    //per desactivar camps a la taula update at i created at
    public $timestamps = false;
    /**
     * @param $nom
     * @param $cognom
     * @param $direccio
     * @param $dni
     * @param $codi_postal
     * @param $poblacio
     * @return bool
     */
    public function addPersona($nom, $cognom, $direccio, $dni, $codi_postal, $poblacio)
    {
        $this->nom = $nom;
        $this->cognom = $cognom;
        $this->direccio = $direccio;
        $this->dni = $dni;
        $this->codi_postal = $codi_postal;
        $this->poblacio = $poblacio;
        $this->save();
        return True;
    }
    /**
     * @param $dni
     * @return bool
     */
    public function searchPersona($dni){
        if($this->where('dni', $dni)->first()){
            return True;
        }
        return False;
    }
}
